"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const jsonpathJoin_1 = require("../jsonpath/jsonpathJoin");
(0, vitest_1.describe)("jsonpathJoin", () => {
    (0, vitest_1.test)("test 1", () => {
        const result = (0, jsonpathJoin_1.jsonpathJoin)("$", "test");
        (0, vitest_1.expect)(result).toEqual("$.test");
    });
    (0, vitest_1.test)("test 2", () => {
        const result = (0, jsonpathJoin_1.jsonpathJoin)("$", "test", "");
        (0, vitest_1.expect)(result).toEqual("$.test");
        const result2 = (0, jsonpathJoin_1.jsonpathJoin)("$", "test", null);
        (0, vitest_1.expect)(result2).toEqual("$.test");
        const result3 = (0, jsonpathJoin_1.jsonpathJoin)("$", "test", undefined);
        (0, vitest_1.expect)(result3).toEqual("$.test");
    });
    (0, vitest_1.test)("test 3", () => {
        const result = (0, jsonpathJoin_1.jsonpathJoin)("$", "[]");
        (0, vitest_1.expect)(result).toEqual("$[]");
    });
    (0, vitest_1.test)("test 4", () => {
        const result = (0, jsonpathJoin_1.jsonpathJoin)("$", "test", "[]");
        (0, vitest_1.expect)(result).toEqual("$.test[]");
    });
});
//# sourceMappingURL=jsonpathJoin.test.js.map