"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonpathJoin = exports.toObjectFieldPath = exports.VALID_ID_REGEXP = void 0;
exports.VALID_ID_REGEXP = /^[a-z_$][a-z0-9_$]*$/i;
function toObjectFieldPath(key) {
    return exports.VALID_ID_REGEXP.test(key) ? "." + key : "[" + JSON.stringify(key) + "]";
}
exports.toObjectFieldPath = toObjectFieldPath;
const jsonpathJoin = (...args) => {
    return args.reduce((a, c) => {
        if (!a)
            return c ?? "";
        if (!c)
            return a;
        return a + (c[0] === "[" ? "" : ".") + c;
    }, "");
};
exports.jsonpathJoin = jsonpathJoin;
//# sourceMappingURL=jsonpathJoin.js.map